import { ShaderNode } from './compiler';
import { BooleanNode } from './types';
export declare type BaseType<T> = (abstract new (...args: any[]) => T) & {
    typeName: string;
};
export declare const select: <T extends ShaderNode<string>>(condition: BooleanNode, a: T, b: T) => T;
export declare const selectPreCompile: <T extends ShaderNode<string>>(condition: BooleanNode, a: T, b: T) => T;
