import { Compiler } from './compiler';
import { FloatNode, Mat2Node, Mat3Node, Mat4Node, RgbaNode, RgbNode, Vec2Node, Vec3Node, Vec4Node } from './types';
export declare class AttributeFloatNode extends FloatNode {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeVec2Node extends Vec2Node {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeVec3Node extends Vec3Node {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeVec4Node extends Vec4Node {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeMat2Node extends Mat2Node {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeMat3Node extends Mat3Node {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeMat4Node extends Mat4Node {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeRgbNode extends RgbNode {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
export declare class AttributeRgbaNode extends RgbaNode {
    private readonly name;
    constructor(name: string);
    compile(c: Compiler): any;
}
